Subject: RE: Request for comments: DSTE-MIB (draft-nadeau-mpls-dste-mib-00 )

From: "Choudhury, Sanjaya" <[email-masked]>
Date: Tue, 18 Feb 2003 10:27:01 -0500

-----Original Message-----
>From: Francois Le Faucheur (flefauch) [mailto:[email-masked]]
>Sent: Monday, February 17, 2003 9:18 AM
>To: Ash, Gerald R (Jerry), ALABS; Choudhury, Sanjaya
>Cc: [email-masked]
>Subject: RE: Request for comments: DSTE-MIB
>(draft-nadeau-mpls-dste-mib-00)

<snip....>

>> > Known TBDs:
>> > 	1. Update to reflect the latest DSTE-REQ and DSTE-PROTO
>> > 	2. Update to handle MAR BC Model
>> > 	3. reorg. the reference section.
>> 
>> I'm glad to see that you will include updates to handle the 
>> MAR (Maximum Allocation with Reservation) Model.  I presume 
>> you will also include updates to handle the Maximum 
>> Allocation Model (MAM).  The only model discussed in the MIB 
>> at present is the Russian Doll Model.

>I agree with Jerry that MAM should be covered in addition to RDM since
>the WG agrees on their respective definition and has agreed to specify
>these two BC models asap.

>With respect to MAR, while I agree in principle that it will need to
>have MIB support once it is specified, I would recommend that this piece
>of work is progressed outside of the main DS-TE MIB work. This is
>because while the WG agrees that we should investigate MAR further, I
>think we are still some time away before we have converged on a final
>MAR specification. So we should make sure we don't end up holding the
>core DS-TE MIB because of discussion on a longer term model.

>Does that make sense?

 Hi!
 The MIB as defined today is quite independent of individual BC
 Models(RD/MAM/MAR). The only reference to the BC models are 
 made in the following contexts:
 (i)  Examples of overall configurations (for sample scenarios)
 (ii) Examples of rules to be enforced to for different
	BC models, based on the configured BC model.
	[The draft requests user to refer to the BC Models 
	drafts for details.]

 No structural changes will be need to support MAM. Just need
 to update the examples. I will incorporate these in rev-02
 of the draft.

 Supporting MAR BC Model, will need only incremental work (
 addition/extension of a table ). I can post the necessary 
 changes to the list (instead of directly adding them to
 the draft) for review. Once the WG finalizes the MAR BC
 model, we can update the MIB. 
 
 Does this sound like a plan? [Any other alternatives?]
 
 Thanks,
 sanjay

	     

>Cheers

>Francois